Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061823 - [abrt] pitivi: timeline.py:1450:_previousKeyframeCb:AttributeError: 'TimelineStage' object has no attribute 'getPrevKeyframe'
Summary: [abrt] pitivi: timeline.py:1450:_previousKeyframeCb:AttributeError: 'Timeline...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1dae05fe12f09af112635eb65be...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 17:05 UTC by Mihai Maruseac
Modified: 2014-09-01 11:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-01 11:58:45 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-05 17:05 UTC, Mihai Maruseac
no flags Details
File: environ (deleted)
2014-02-05 17:05 UTC, Mihai Maruseac
no flags Details

Description Mihai Maruseac 2014-02-05 17:05:22 UTC
Version-Release number of selected component:
pitivi-0.92-1.fc20

Additional info:
reporter:       libreport-2.1.12
cmdline:        python2 /usr/bin/pitivi
executable:     /usr/bin/pitivi
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
timeline.py:1450:_previousKeyframeCb:AttributeError: 'TimelineStage' object has no attribute 'getPrevKeyframe'

Traceback (most recent call last):
  File "/usr/share/pitivi/python/pitivi/timeline/timeline.py", line 1450, in _previousKeyframeCb
    prev_kf = self.timeline.getPrevKeyframe(position)
AttributeError: 'TimelineStage' object has no attribute 'getPrevKeyframe'

Local variables in innermost frame:
action: <Action object at 0x50aff50 (GtkAction at 0x48d9c70)>
position: 103831471L
self: <Timeline object at 0x41f3050 (pitivi+timeline+timeline+Timeline at 0x458d690)>

Comment 1 Mihai Maruseac 2014-02-05 17:05:30 UTC
Created attachment 859748 [details]
File: backtrace

Comment 2 Mihai Maruseac 2014-02-05 17:05:32 UTC
Created attachment 859749 [details]
File: environ

Comment 3 Felix Schwarz 2014-07-31 17:38:21 UTC
Does the bug still occur with the latest Pitivi 0.93 in F20? As far as I can see the code in the traceback was reworked/removed in the newer version.

Comment 4 Mihai Maruseac 2014-09-01 11:58:45 UTC
(In reply to Felix Schwarz from comment #3)
> Does the bug still occur with the latest Pitivi 0.93 in F20? As far as I can
> see the code in the traceback was reworked/removed in the newer version.

Seems ok now. Sorry for replying so late.


Note You need to log in before you can comment on or make changes to this bug.